- Qt 6.7
- Qt 3D
- QML Types
- Qt3D.Render
- SharedGLTexture
- Qt 6.7.3 Reference Documentation

# SharedGLTexture QML Type

Allows to use a textureId from a separate OpenGL context in a Qt 3D scene. More...

Import Statement: | import Qt3D.Render 2.7
Instantiates: | QSharedGLTexture

- List of all members, including inherited members

## Properties

- textureId : int

## Detailed Description

## Property Documentation

textureId : int

The OpenGL texture id value that you want Qt3D to gain access to.